%define	rname autoscan-network

Summary:        Utility for network exploration (Samba,Nessus client)
Name:           autoscan
Version:        1.12
Release: 	%mkrel 1
License:        GPLv2
Group:		Networking/Other
URL:            http://autoscan-network.com/
Source0:        http://autoscan.fr/download/autoscan-network-%{version}.tar.gz
Patch0:		Autoscan-x86_64-build-fix.patch
BuildRequires:  libsmbclient-devel
BuildRequires:  gnomeui2-devel
BuildRequires:  libxml2-devel
BuildRequires:  openssl-devel
BuildRequires:	libao-devel
BuildRequires:	libvorbis-devel
BuildRequires:	net-snmp-devel
BuildRequires:  libtool
BuildRequires:  elfutils-devel
BuildRequires:  gtk+2-devel
BuildRequires:  gnome-keyring-devel
BuildRequires:  gnome-vfs2-devel
BuildRequires:  glib-devel
BuildRequires:  vte-devel
BuildRequires:  desktop-file-utils
Requires:       samba-client
Requires:	webclient
Requires:       %{name}-agent
Provides:	%{rname} = %{version}
Obsoletes:	AutoScan
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot 

%description
AutoScan is an application designed to explore and to manage your network. 
Entire subnets can be scanned simultaneously without human intervention. 
It features OS detection, automatic network discovery, a port scanner, 
a Samba share browser, and the ability to save the network state.

%package 	agent
Summary: 	AutoScan daemon
Group: 		Networking/Other
Provides: 	%{name} = %{version}-%{release}
Provides:	%{rname} = %{version}
Obsoletes:	%{rname}
Provides:	%{rname}-agent = %{version}
Obsoletes:	%{rname}-agent

%description 	agent
Scans network in the background


%prep  

%setup -q -n %{rname}-%{version} -a 0
#%patch0

%build
./configure --distrib-mandriva
%make

%install
rm -rf %{buildroot}

#Daemon install
install -d %{buildroot}%{_sbindir}/
install -d %{buildroot}%{_initrddir}/
install -m755 bin/autoscan-network-daemon %{buildroot}%{_sbindir}/
install -m755 init.d/autoscan-network-mandriva %{buildroot}%{_initrddir}/autoscan-network

#Gui install
install -d %{buildroot}%{_datadir}/apps/%{rname}
install -d %{buildroot}%{_datadir}/pixmaps/%{rname}
install -d %{buildroot}%{_datadir}/sounds/%{rname}
install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_iconsdir}
install -d %{buildroot}%{_datadir}/applications/

install -m755 bin/autoscan-network %{buildroot}%{_bindir}/

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --remove-key='Encoding'  --remove-key='MultipleArgs' \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications usr/share/applications/*.desktop

install usr/share/icons/autoscan-network.png %{buildroot}%{_iconsdir}
cp -r usr/share/pixmaps/autoscan-network/* %{buildroot}%{_datadir}/pixmaps/%{rname}/

install -m644 usr/share/apps/autoscan-network/* %buildroot%_datadir/apps/%{rname}
install -m 644 usr/share/sounds/autoscan-network/* %{buildroot}%{_datadir}/sounds/%{rname}/

install -D -m644 usr/share/apps/autoscan-network/autoscan-network.schemas %buildroot%{_sysconfdir}/gconf/schemas/%{name}.schemas

%post
%post_install_gconf_schemas %{name}
%update_menus

%postun
%clean_menus

%preun
%preun_uninstall_gconf_schemas %{name}

%post agent
%_post_service %{name}-network

%postun agent
%_preun_service %{name}-network

%clean
rm -rf %{buildroot}

%files
%defattr(755,root,root)
%doc AUTHORS CHANGELOG
%{_sysconfdir}/gconf/schemas/%{name}.schemas
%{_bindir}/*
%{_datadir}/apps/%{rname}
%{_datadir}/pixmaps/%{rname}
%{_iconsdir}/*
%{_datadir}/sounds/%{rname}/*  
%{_datadir}/applications/*.desktop

%files agent
%defattr(755,root,root)
%{_sbindir}/*
%{_initrddir}/*


%changelog
* Wed Jan 09 2008 Emmanuel Andry <eandry@mandriva.org> 1.12-1mdv2008.1
+ Revision: 147150
- New version

* Wed Jan 02 2008 Emmanuel Andry <eandry@mandriva.org> 1.11-1mdv2008.1
+ Revision: 140745
- New version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Oct 29 2007 Olivier Blin <oblin@mandriva.com> 1.10-2mdv2008.1
+ Revision: 103294
- fix service name in post/preun scripts

* Sat Oct 27 2007 Funda Wang <fundawang@mandriva.org> 1.10-1mdv2008.1
+ Revision: 102598
- remove invalid desktop entry
- fix building
- New version 1.10

* Sun Sep 02 2007 Emmanuel Andry <eandry@mandriva.org> 1.01-4mdv2008.0
+ Revision: 78222
- fix a path for x86_64
- fix build
- drop unneeded BR zvt-devel
- fix files listing

  + Oden Eriksson <oeriksson@mandriva.com>
    - fix build
    - fix build
    - lowercase the package
    - rebuilt against latest net-snmp devel
    - lowercase the package

* Sat Jul 14 2007 Emmanuel Andry <eandry@mandriva.org> 1.01-3mdv2008.0
+ Revision: 52084
- Requires:       AutoScan-agent

* Thu Jul 05 2007 Emmanuel Andry <eandry@mandriva.org> 1.01-2mdv2008.0
+ Revision: 48758
- fix package name

* Wed Jul 04 2007 Emmanuel Andry <eandry@mandriva.org> 1.01-1mdv2008.0
+ Revision: 48274
- drop old debian menu included in tarball
- diff patch to fix 86_64 build
- New version
- split package into daemon and gui
- set license to GPLv2


* Fri Aug 11 2006 Emmanuel Andry <eandry@mandriva.org> 0.99-4mdv2007.0
- fix buildrequires (to have it on x86_64)
- add buildrequires libvorbis-devel net-snmp-devel

* Thu Aug 03 2006 Lenny Cartier <lenny@mandriva.com> 0.99-3mdv2007.0
- xdg
- use default icon
- various fixes

* Fri Jun 16 2006 Lenny Cartier <lenny@mandriva.com> 0.99-2mdv2007.0
- rebuild

* Wed Mar 29 2006 Guillaume Bedot <littletux@mandriva.org> 0.99-1mdk
- 0.99
- fixed wrong permissions on /usr/lib/menu
- fixed changed binary name
- rpmbuildupdate-able
- %%{1}mdv2007.1
- some other fixes

* Mon Sep 12 2005 Emmanuel Andry <eandry@free.fr> 0.97.1b-1mdk
- New version
- Using parts of original spec file

* Sun Apr 10 2005 Emmanuel Andry <eandry@free.fr> 0.95-3mdk
- Requires firefox instead of mozilla (Bug #15359)

* Tue Apr 05 2005 Buchan Milne <bgmilne@linux-mandrake.com> 0.95-2mdk
- Rebuild for libsmbclient

* Tue Mar 22 2005 Lenny Cartier <lenny@mandrakesoft.com> 0.95-1mdk
- from thierry@fdl.ath.cx

